Documentation Index
Fetch the complete documentation index at: https://docs-en.basswallet.com/llms.txt
Use this file to discover all available pages before exploring further.
Endpoint
POSTCallback URL configured by the merchant
Request Parameters
| Parameter | Data Type | Required | Description |
|---|---|---|---|
| webhookType | String | Yes | Webhook type, set to Payment. |
| id | String | Yes | Order ID. |
| status | String | Yes | Order status. See the order status enum for details. |
| chainName | String | Yes | Blockchain name. |
| tokenName | String | Yes | Token name. |
| fromAddress | String | Yes | Sender’s address. |
| toAddress | String | Yes | Recipient’s address. |
| txHash | String | Yes | On-chain transaction hash. |
| amount | String | No | Payment amount set by the merchant. |
| amountActual | String | Yes | Actual amount paid by the user. |
| amountUSD | String | Yes | Actual amount paid in USD. |
| businessId | String | No | Merchant-defined order ID. |
| timestamp | Long | Yes | UNIX timestamp (in milliseconds). |
Request Parameters (When Order is Expired)
| Parameter | Data Type | Required | Description |
|---|---|---|---|
| webhookType | String | Yes | Webhook type, set to Payment. |
| id | String | Yes | Order ID. |
| businessId | String | No | Merchant-defined order ID (if any). |
| status | String | Yes | Order status, set to Expired. |
| timestamp | Long | Yes | UNIX timestamp (in milliseconds). |